import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconHomeRoof as IconHomeRoofClass } from "../../../../components/icon/icons/home-roof.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconHomeRoof = (props) => {
  IconHomeRoofClass.define();
  const JSXElement = getReactComponent("gds-icon-home-roof");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconHomeRoof.displayName = "IconHomeRoof";
export {
  IconHomeRoof
};
